# New to Pyrsia

If you are new to the Pyrsia team here are a few steps to get you started.

1. Find the [googlegroup for Pyrsia](https://groups.google.com/g/pyrsia) and request membership
2. Your membership will allow you to look at the Pyrsia Googlegroup calendar and you will be able to receive invites for all the team meetings
3. Find the [slack channel for Pyrsia](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-1eryue9cw-9YpgrfIfsTcDS~hGHchURg) and join
4. On Slack, introduce yourself and give us some background - what brought you to Pyrsia and how you would like to get involved.
5. While the googlegroup membership is being approved - which should take less than a day usually - watch some videos about [Pyrsia on Youtube](https://www.youtube.com/channel/UClPQKloIElvJk7EdSST3W5g) to make yourself familiar with the team and progress so far
6. You do not need any membership to look at the code and send us a PR or create an issue.
   1. [Code is on Github](https://github.com/pyrsia)
   2. We use [Github project](https://github.com/orgs/pyrsia/projects/3) to manage our tasks
7. Pyrsia team uses a shared Google doc folder for collaborating outside of the codebase - Request to share that folder on Slack
8. Pyrsia team uses LucidChart for drawings and doodles that help with better communication - Request access to the LucidCharts on Slack
9. Pyrsia team follows a 2 week sprint model and has Sprint planning once every two weeks
10. Pyrsia team has a retrospective at the end of every Sprint to reflect on the feedback.

Once you have received the requisite permissions, please join one of the team standups or start asking questions on the Slack channel. If you are looking to share a new design or have a proposal head over to our [RFC process](https://pyrsia.io/docs/community/rfc/) to submit it.

Once you are all set you can follow the instructions to [setup your development environment](./local_dev_setup.md/).

Once you are ready to submit a PR [learn about contributing to Pyrsia](./contributing.md) and start [submitting PRs](https://pyrsia.io/docs/community/get_involved/submit_pr/).

If you are looking to contribute documentation we have some [documentation contribution guidelines](./doc_workflow.md) to make things easier for you.

Welcome to the team!
